org.apache.lucene.analysis.miscellaneous

## Class StemmerOverrideFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.miscellaneous.StemmerOverrideFilter

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class StemmerOverrideFilter
      extends TokenFilter

  Provides the ability to override any `KeywordAttribute` aware stemmer with custom dictionary-based stemming.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.AttributeFactory, AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StemmerOverrideFilter(Version matchVersion, TokenStream input, CharArrayMap<String> dictionary)` Create a new StemmerOverrideFilter, performing dictionary-based stemming with the provided `dictionary`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `incrementToken()`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end, reset`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StemmerOverrideFilter

          public StemmerOverrideFilter(Version matchVersion,
                               TokenStream input,
                               CharArrayMap<String> dictionary)

      Create a new StemmerOverrideFilter, performing dictionary-based stemming with the provided `dictionary`.

      Any dictionary-stemmed terms will be marked with `KeywordAttribute` so that they will not be stemmed with stemmers down the chain.

  - ### Method Detail

    - #### incrementToken

          public boolean incrementToken()
                                 throws IOException

      Specified by:
        `incrementToken` in class `TokenStream`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.